Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 27 Oct 2022 08:00:09 GMT
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@FreeBSD.org, dev-commits-src-all@FreeBSD.org, dev-commits-src-main@FreeBSD.org
Subject:   git: 9349fc283b58 - main - stress2: Added a newfs(8) test scenario
Message-ID:  <202210270800.29R809i3072722@gitrepo.freebsd.org>

next in thread | raw e-mail | index | archive | help
The branch main has been updated by pho:

URL: https://cgit.FreeBSD.org/src/commit/?id=9349fc283b581a52396b6027bfa792e61dfd8035

commit 9349fc283b581a52396b6027bfa792e61dfd8035
Author:     Peter Holm <pho@FreeBSD.org>
AuthorDate: 2022-10-27 07:59:16 +0000
Commit:     Peter Holm <pho@FreeBSD.org>
CommitDate: 2022-10-27 07:59:16 +0000

    stress2: Added a newfs(8) test scenario
---
 tools/test/stress2/misc/newfs6.sh | 57 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

diff --git a/tools/test/stress2/misc/newfs6.sh b/tools/test/stress2/misc/newfs6.sh
new file mode 100755
index 000000000000..5e887f1496a6
--- /dev/null
+++ b/tools/test/stress2/misc/newfs6.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2022 Peter Holm <pho@FreeBSD.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+# A fast version of newfs.sh
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep "on $mntpoint " | grep -q md$mdstart &&
+    umount $mntpoint
+mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
+mdconfig -a -t swap -s 1g -u $mdstart || exit 1
+
+s=0
+for opt in -O1 -O2 -U -j; do
+	bs=4096
+	while [ $bs -le 65536 ]; do
+		for i in 8 4 2 1; do
+			fragsize=$((bs / i))
+			echo "newfs $opt -b $bs -f $fragsize md$mdstart "
+			newfs $opt -b $bs -f $fragsize \
+			    md$mdstart > /dev/null || { s=1; continue; }
+			mount /dev/md$mdstart $mntpoint || s=2 &&
+			    umount $mntpoint
+		done
+		bs=$((bs * 2))
+	done
+done
+mdconfig -d -u $mdstart
+exit $s



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202210270800.29R809i3072722>